Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.transaction
Class UnknownTransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.jini.core.transaction.TransactionException
                  net.jini.core.transaction.UnknownTransactionException

All Implemented Interfaces:
  Serializable

public class UnknownTransactionException
extends TransactionException

Exception thrown when a transaction is not recognized as a valid or known transaction. Common reasons for this include: the transaction has previously been explicitly aborted; the transaction has previously aborted because the transaction manager crashed; the transaction has previously been explicitly committed.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`UnknownTransactionException()` Constructs an instance with no detail message.
`UnknownTransactionException(String desc)` Constructs an instance with a detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownTransactionException

    public UnknownTransactionException(String desc)

  Constructs an instance with a detail message.

Parameters:
  `desc` - the detail message

### UnknownTransactionException

    public UnknownTransactionException()

  Constructs an instance with no detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved